Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.ostium.com/llms.txt

Use this file to discover all available pages before exploring further.

curl https://builder.ostium.io/v1/prices
The response includes:
  • feed_id
  • pair
  • from
  • to
  • bid
  • mid
  • ask
  • isMarketOpen
  • isDayTradingClosed
  • secondsToToggleIsDayTradingClosed
  • timestampSeconds
SDK equivalent:
const { prices } = await client.getAllPrices();

Response schema

interface Response {
  prices: Array<{
    feed_id: string;
    pair: string;
    from: string;
    to: string;
    bid: number;
    mid: number;
    ask: number;
    isMarketOpen: boolean;
    isDayTradingClosed: boolean;
    secondsToToggleIsDayTradingClosed: number;
    timestampSeconds: number;
  }>;
  stale: boolean;
  generatedAt: number;
}